## RiskyMod

A full-game overhaul that aims to bring it closer to RoR1's balance. My main priority is multiplayer, but the mod is balanced in solo as well.
The dream is a universal ruleset that anyone can host, similar to 1's.

I highly recommed installing https://thunderstore.io/package/Moffein/EliteReworks/ to go with this.

Full change list can be found here. https://docs.google.com/document/d/1Igxdur0M33fdkcDLYgDEbLE0M4-89gSTorxgdn-oyKs/

This mod merges in fixes and tweaks from a bunch of other mods. If you have those mods installed, these fixes/changes will disable and the original mod will take priority (Except for Bandit Grace Period).

Feel free to take features of this mod and release them as standalone as long as you link the original GitHub repo in the README.

## Main Features

- Removed proc chains.
- Made difficulty scaling linear (exponential jump on-loop) and increased spawnrates.
- Oneshot Protection now works as you would expect.
	- Oneshot = Going from >90% HP to 0% HP in under 0.5s
	- Once triggered, you have to be out of danger (no damage for 7s) before it can be retriggered.
- Shields gate against HP damage like the Guardian's Heart in RoR1.
	- Transcendence/Perfected Affix disable Oneshot Protection due to having shieldgating built-in.
- Big balance pass over nearly all the items.
	- Bad items like Squid Polyps and Warbanners have gotten substantial buffs.
	- Strong damage items like AtGs and Elemental Bands now have lowered damage.
	- Most forms of range scaling have been removed.
- Drones performance now remains the same on all stages. (WiP)

## Other Changes

- Combat Shrines give less money, but drop items for the team on completion.
- Teleporter radius expands once the boss is dead.
- Tweaked Commencement
	- Only 2 pillars are required to activate the jump pads.
	- Pillars drop items for the team on completion, and you can complete as many as you want.

## Installation
Place RiskyMod.dll **AND** the **language folder** in /Risk of Rain 2/BepInEx/plugins/RiskyMod

## Planned Changes (Not implemented yet)

- Make Aureleonite/AWU as OP as they were in earlier builds? Looking at Direseeker as a point of reference.
- More Survivor Tweaks
	- Captain
		- Turn beacons into deployables like Engi Turrets, but can't be targeted/killed by enemies.
		- Rework Hack/Resupply (Drone Amp/Mini Warbanner respectively?)
		- Buff Shock beacons?
		- Make Microbots only work with deployables/drones, or reduce the rate it can delete projectiles at.
		- Add Admiral's fans as a selectable beacon.
	- Artificer
		- M1 reload scales with attack speed.
		- M1 4-hit combo.
		- Flamethrower scales with attack speed.
		- Figure out how Freeze should interact with bosses (inconsistency between Mithrix and every other boss).
		- Take a look at Ion Surge.
	- Loader Rework
	
- Enemy Tweaks?
- Void Rework?
	
## Credits

Drone Targeting fix - ZetTweaks

Squid Polyp distraction - DestroyedClone

Language Support - Anreol

Skill Icons - KoobyKarasu

Acrid Hitbox Tweaks - TheTimesweeper

Infusion Icon - SOM

## Changelog

`0.4.2`

- Acrid
	- Regenerative heal duration decreased from 3s -> 2s.
		- Heal amount remains the same.
		
*Still in the process of fine-tuning the numbers and mechanics for Regenerative.*

`0.4.1`

- Acrid
	- Regenerative heal duration increased from 1s -> 3s.
		- Heal amount remains the same.

`0.4.0`

- Drones
	- Gunner Turrets no longer need to reload.
	- TC280
		- Damage reduced 30%
		- Health reduced 20%
		- When too close to a target, the drone will now attempt to strafe the target instead of reversing. This should fix weird behavior around flying enemies.
	
	*TC280s were shredding Bosses/Elite Elders in seconds, and never seemed to take any sort of significant HP damage. With this nerf, their damage is about on-par with an Incinerator drone (but with extra range/tankiness). I'll be keeping my eye on their performance to see if any more adjustments are needed.*

- Items
	- Harvester's Scythe
		- Regen boost now counts as healing and will benefit from Rejuvenation Rack and Warbanner.
	- Berzerker's Pauldron
		- Attack speed bonus reduced from 20% -> 15%
	- Infusion
		- Now displays total HP gained as a buff above your healthbar. (Credits to SOM for the icon!)
	- Old Guillotine
		- Reduced VFX spam (can re-enable this in the config).
		
	- Shatterspleen
		- Re-enabled blast falloff.
	- Will o' the Wisp
		- Re-enabled blast falloff.
		
	*Re-enabling falloff on these for consistency with other large explosion-type attacks. I'll adjust the damage values if needed.*
		
- Enemies
	- Vagrant and Lunar Wisp tracking bombs no longer trigger on-kill effects for consistency with the Grovetender.
	- Fixed Ghost SCUs spawning non-ghost Solus Probes.
		- Fixing this for Beetle Queens would cause incompatibilities with Beetle Queen Plus, so I'll fix it when I merge in the changes from that mod (probably next major update).
		- Ancient Wisp will need to fix this issue on its end.

- Commando
	- Tactical Dive cooldown reduction increased from 1s -> 1.5s
	
*Hoping to make the CDR more useful for his Special.*
	
- Acrid

	*Acrid has received a full gameplay rework. Instead of being based around AFK killing the map with Poison, he is now based around using all of his skills to stack multiple different DoTs on enemies, like in RoR1. Unlike Merc/Loader who are designed around constantly hitting a target, I've tried to keep Acrid's hit-and-run focus intact for this rework, with the goal of forcing Acrid to sometimes try to melee instead of always running away and spamming poison. Feedback for fine-tuning the numbers/feel would be greatly appreciated.*

	- Extended spawn invulnerability.
	- Blight now counts towards the Frenzied Leap achievement requirements.
	- Extended melee hitbox's vertical range. Acrid can now hit Vagrants while standing on top of them.
	- Reduced base damage from 15 -> 12
	
	- Passives
		- Blight and Poison are now built into each of Acrid's skills.
		- Poison
			- Duration reduced from 10s -> 7s
			- Removed hidden damage cap.
		- Blight
			- Now resets duration when new stacks are applied.
		- New passive: Virulent
			- Poison and Blight lasts 40% longer.
		- New alt passive: Contagion
			- Poison and Blight spread to an 1 additional target on kill.
			
	- Regenerative
		- Healing increased from 5% maximum health -> 10% maximum health
		- Healing is now cancelled when taking damage.
		- Regen boost now counts as healing and will benefit from Rejuvenation Rack and Warbanner.
	
	*This makes Regenerative give good healing while preventing Acrid from facetanking enemies head-on like Loader.*
		
	- Vicious Wounds
		- 3rd hit now applies Poison.
		- Base duration reduced from 1.5s -> 1.2s
		
	*Poison is Acrid's strongest tool, allowing him to salvage runs that are outscaled. Because of this, it should require some amount of risk to apply, which is why it's restricted to his melee M1.*
	
	- Neurotoxin
		- Cooldown increased 2s -> 3s
		- Now always Blights.
		
	- Ravenous Bite
		- Damage increased 310% -> 360%
		- Now always Blights.
		- Hidden Attribute: Kills trigger an extra stack of Regenerative.
		
	- Caustic Leap
		- Now knocks flying enemies downwards.
		- Now always Blights.
		- Acid pool proc coefficient increased from 0.1 -> 0.5
		- Description now shows Acid pool DPS instead of damage per tick.
		
	- Frenzied Leap
		- Now knocks flying enemies downwards.
		- Now always Blights.
		- Damage reduced from 550% -> 320%
		- Cooldown reduced from 10s -> 6s
		- Stocks reduced from 2 -> 1
		- Cooldown reduction reduced from 2s -> 0.7s
		- Cooldown reduction now affects all skills.
		
	- Epidemic
		- No longer poisons.
		- Now deals 6x100% damage (0.5 proc)